Creates a new autopilot for the project with the specified id.

Creates a new autopilot for the project with the specified id. Also creates and enables all alerts for the new autopilot. For this action, the user needs to be the owner of the project or must have 'read' permissions of the feature 'project-master-data' globally or in their project role. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project.

Request

The model used to create the autopilot.
typestringRequired>=1 character
The type of the autopilot.
alertslist of objects or nullOptional

The alerts of the autopilot. Omit this collection or provide an empty collection to enable every available alert with its default settings. A non-empty collection must contain every alert type returned by GET /autopilot/availablealerts.

Response

OK
typestring>=1 character
The type of the autopilot.
enabledboolean
Whether the autopilot is enabled.
alertslist of objects

The alerts of the autopilot. The collection must contain every alert type returned by GET /autopilot/availablealerts, including alerts that should be disabled.

idstringOptionalformat: "uuid"
The id of the autopilot.
createdOnstringOptionalformat: "date-time"
The date this object was created.
createdBystringOptionalformat: "uuid"
The id of the user who created this object.
updatedOnstringOptionalformat: "date-time"
The date this object was last modified.
updatedBystringOptionalformat: "uuid"
The id of the user who last modified this object.